<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

interface AuthInterface{
	public function autologin();
	public function auth($data);
	public function getUserId($data);
	//возвращает массив свойств
	public function getUserInfo($user_id);
	public function isLoginExists($login);
	public function saveLastRequests($maxlifetime);
	public function logout();
	public function getGroupByUserId($user_id);
}